LTS Smooth Migration - Task # 49197

Status: Rejected Priority: Should have

Author: Anja Leichsenring Category: UpgradeCheck / Check
Created: 2013-06-17 Assigned To:

Updated: 2013-06-17 Due date:

Subiject: Check for 'Remove leftover deprecated stuff'

Description

Check for usage

Related issues:

related to Core - Bug # 23468: tslib_fe::fetch_the_id() calls deprecated func... Closed 2010-08-27
related to Core - Bug # 25001: Usage of deprecated PHP < 5.3 function calls Closed 2011-02-11
related to Core - Bug # 25100: Method includeMakeMenu() of class tslib_menui... Closed 2011-02-19
related to Core - Bug # 31589: returnUrl in sysext filelist points to depreca... Closed 2011-11-04
related to Core - Task # 39137: Remove leftover deprecated stuff Resolved 2012-07-20
related to Core - Bug # 41050: core itself calls deprecated method deprecatio... Closed 2012-09-18
related to Core - Bug # 45884: Deprecated addFileMount() still used in Core Closed 2013-02-27
History

#1 - 2013-06-17 15:02 - Ernesto Baschny
- Status changed from New to Needs Feedback

Anja, thanks for your help, but there is no need to have an issue for each individual deprecated stuff that was removed here in this projects tracker.
There are tons of removed stuff, which can be collected and analysed at once. Olly even has a script that does that collection of "deleted methods"
automatically.

So I'll just close them later on if you have nothing against it. Maybe | just misunderstood your issues.

#2 - 2013-06-17 15:05 - Anja Leichsenring

Hi Ernesto,

Steffen asked me to open issues for individual checks we need to implement into the extension. But you are right, | was just thinking the same, that |
better group them together, when this makes sense. So | will clean up myself now.

#3 - 2013-06-17 15:05 - Anja Leichsenring
- Status changed from Needs Feedback to Rejected
